import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { PakalpojumiInputModel } from 'src/app/en/donation/donation.model';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class DonationLvService {

  baseUrlg = 'https://localhost:7266/api/KlientaInformacijas/ExecuteInsertPakalpojumiInformation';
  constructor(private http:HttpClient) { }
  
  
  createDonation(donationData: any): Observable<any> {
    return this.http.post<any>(this.baseUrlg, donationData);
  
  }
  getAllDonation(): Observable<PakalpojumiInputModel[]> {
    return this.http.get<PakalpojumiInputModel[]>(this.baseUrlg);
}
}
